## tpot 0.11.5+dfsg

=== requirements.txt ===
deap>=1.2
nose==1.3.7
numpy>=1.16.3
scikit-learn>=0.22.0
scipy>=1.3.1
tqdm>=4.36.1
update-checker>=0.16
stopit>=1.1.2
pandas>=0.24.2
joblib>=0.13.2

## tpot 0.11.1+dfsg2

=== debian/changelog ===
tpot (0.11.1+dfsg2-3) unstable; urgency=medium

  * Fix synopsis of -doc package
  * Modify Adjust-tolerances-on-arm64.patch to skip the three tests on all
    non-amd64 platforms

 -- Christian Kastner <ckk@debian.org>  Mon, 20 Apr 2020 10:54:14 +0200

tpot (0.11.1+dfsg2-2) unstable; urgency=medium

  * Fix Vcs-* URLs (debian-science -> science-team)
  * Add Adjust-tolerances-on-arm64.patch.
    Fixes failed autopkgtests on arm64.

 -- Christian Kastner <ckk@debian.org>  Sat, 18 Apr 2020 02:02:42 +0200

tpot (0.11.1+dfsg2-1) unstable; urgency=medium

  * Remove logo with missing source for now.

 -- Christian Kastner <ckk@debian.org>  Mon, 30 Mar 2020 16:23:49 +0200

tpot (0.11.1+dfsg1-1) unstable; urgency=medium

  * License is LGPL, not GPL. Thanks, Sean Whitton!
  * Add ci/* to Files-Excluded.
    The comments say they are derivative, but the original source could not be
    found.

 -- Christian Kastner <ckk@debian.org>  Thu, 26 Mar 2020 23:46:08 +0100

tpot (0.11.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #949692)

 -- Christian Kastner <ckk@debian.org>  Wed, 12 Feb 2020 14:05:30 +0100

=== debian/control ===
Source: tpot
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
    Christian Kastner <ckk@debian.org>,
Build-Depends:
    debhelper-compat (= 12),
    dh-python,
    python3-all,
    python3-setuptools,
    python3-deap (>= 1.2),
    python3-joblib (>= 0.13),
    python3-numpy (>= 1.16),
    python3-pandas (>= 0.24),
    python3-scipy (>= 1.3),
    python3-sklearn (>= 0.22),
    python3-stopit,
    python3-tqdm,
    mkdocs,
    help2man,
    python3-nose <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://epistasislab.github.io/tpot/
Vcs-Git: https://salsa.debian.org/science-team/tpot.git
Vcs-Browser: https://salsa.debian.org/science-team/tpot

Package: python3-tpot
Architecture: all
Depends:
    ${misc:Depends},
    ${python3:Depends},
Recommends:
    python3-dask,
    python3-distributed,
Description: Automated Machine Learning tool built on top of scikit-learn
 Consider TPOT your Data Science Assistant. TPOT is a Python Automated Machine
 Learning tool that optimizes machine learning pipelines using genetic
 programming.
 .
 TPOT will automate the most tedious part of machine learning by intelligently
 exploring thousands of possible pipelines to find the best one for your data.
 .
 Once TPOT is finished searching (or you get tired of waiting), it provides you
 with the Python code for the best pipeline it found so you can tinker with the
 pipeline from there.
 .
 TPOT is built on top of scikit-learn, so all of the code it generates should
 look familiar... if you're familiar with scikit-learn, anyway.
 .
 This package contains the Python 3.x version of TPOT.

Package: python-tpot-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends:
    ${misc:Depends},
    ${mkdocs:Depends},
Description: documentation and examples for TPOT
 Consider TPOT your Data Science Assistant. TPOT is a Python Automated Machine
 Learning tool that optimizes machine learning pipelines using genetic
 programming.
 .
 TPOT will automate the most tedious part of machine learning by intelligently
 exploring thousands of possible pipelines to find the best one for your data.
 .
 Once TPOT is finished searching (or you get tired of waiting), it provides you
 with the Python code for the best pipeline it found so you can tinker with the
 pipeline from there.
 .
 TPOT is built on top of scikit-learn, so all of the code it generates should
 look familiar... if you're familiar with scikit-learn, anyway.
 .
 This package contains the documentation, example scripts, and tutorials for
 TPOT.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# For DEB_VERSION_UPSTREAM
include /usr/share/dpkg/pkg-info.mk


export PYBUILD_NAME=tpot

PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir};
PYBUILD_BEFORE_TEST+=sed -i -e 's/python -m/{interpreter} -m/' {build_dir}/tests/driver_tests.py
export PYBUILD_BEFORE_TEST

# This will be strippef from URLs in order to use the local versions
url_strip=https://raw.githubusercontent.com/EpistasisLab/tpot/master/


%:
	dh $@ --with python3,mkdocs --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	mkdocs build --clean --theme readthedocs
	rm -f docs/sitemap.xml.gz
	cp -r images docs/
	sed -i -e 's,$(url_strip),,' docs/index.html

override_dh_installdocs:
	dh_installdocs --package=python-tpot-doc --doc-main-package=python3-tpot
	dh_installdocs --remaining-packages

override_dh_missing:
	dh_missing --fail-missing

override_dh_installman:
	PYTHONPATH=. \
		help2man \
			--version-string="$(DEB_VERSION_UPSTREAM)" \
			-n 'Automated Machine Learning tool' \
			-N \
			-L C.UTF-8 \
			-o debian/tpot.1 \
			"debian/python3-tpot/usr/bin/tpot"
	dh_installman debian/tpot.1

=== debian/watch ===
version=4

opts=\
filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/tpot-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg//,\
repacksuffix=+dfsg \
https://github.com/EpistasisLab/tpot/releases .*/v(\d\S*)\.tar\.gz

## tpot 0.11.5+dfsg

=== debian/changelog ===
tpot (0.11.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Drop obsolete patches
    - Refresh patches
    - Add Unconditionally-increase-test-tolerances.patch
  * Fix dversionmangle in d/watch
  * Tweak Build-Depends versions
  * Exclude some tests until pytorch, xgboost are available
  * Skip a flaky test. (Closes: #966971)

 -- Christian Kastner <ckk@debian.org>  Sat, 15 Aug 2020 21:45:37 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,16 @@
 
 
 export PYBUILD_NAME=tpot
+export PYBUILD_TEST_NOSE=1
 
-PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir};
-PYBUILD_BEFORE_TEST+=sed -i -e 's/python -m/{interpreter} -m/' {build_dir}/tests/driver_tests.py
+# Enable these once pytorch and xgboost are available
+export PYBUILD_TEST_ARGS=--ignore-files nn_tests.py --exclude test_log_file_verbose_3
+# This requires more analysis (it's been reported to upstream before)
+PYBUILD_TEST_ARGS+=--exclude test_sample_weight_func
+define PYBUILD_BEFORE_TEST
+  cp -r {dir}/tests {build_dir};
+  sed -i -e 's/python -m/{interpreter} -m/' {build_dir}/tests/driver_tests.py
+endef
 export PYBUILD_BEFORE_TEST
 
 # This will be strippef from URLs in order to use the local versions

=== debian/tests/control ===
Tests: upstream-python3
# TPOT and sklearn each still produce a warning, which we are ignoring for now
Restrictions: allow-stderr
Depends: python3-tpot, python3-nose

## tpot 0.11.6.post2+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -8,3 +8,4 @@
 stopit>=1.1.2
 pandas>=0.24.2
 joblib>=0.13.2
+xgboost>=0.90

=== debian/changelog ===
tpot (0.11.6.post2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.11.6.post2+dfsg
    - Refresh patches
  * Update existing dependency versions
  * Add python3-xgboost dependency
  * Add python3-torch dependency
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Fri, 18 Dec 2020 01:05:12 +0100

tpot (0.11.5+dfsg-4) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't ship test artifacts in dist-packages

 -- Christian Kastner <ckk@debian.org>  Wed, 19 Aug 2020 21:24:07 +0200

tpot (0.11.5+dfsg-3) unstable; urgency=medium

  * autopkgtest: Exclude same tests we excluded at build time

 -- Christian Kastner <ckk@debian.org>  Mon, 17 Aug 2020 09:43:22 +0200

tpot (0.11.5+dfsg-2) unstable; urgency=medium

  * autopkgtest: Depend on python3-all

 -- Christian Kastner <ckk@debian.org>  Sun, 16 Aug 2020 11:12:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,23 @@
 Build-Depends:
     debhelper-compat (= 12),
     dh-python,
-    python3-all,
-    python3-setuptools,
-    python3-deap (>= 1.2),
-    python3-joblib (>= 0.13),
-    python3-numpy (>= 1.16),
-    python3-pandas (>= 0.24),
-    python3-scipy (>= 1.3),
-    python3-sklearn (>= 0.22),
-    python3-stopit,
-    python3-tqdm,
     mkdocs,
     help2man,
-    python3-nose <!nocheck>,
+    python3-all,
+    python3-deap (>= 1.2),
+    python3-joblib (>= 0.13.2),
+    python3-nose (>= 1.3.7) <!nocheck>,
+    python3-numpy (>= 1.16.3),
+    python3-pandas (>= 0.24.2),
+    python3-scipy (>= 1.3.1),
+    python3-setuptools,
+    python3-sklearn (>= 0.22),
+    python3-stopit (>= 1.1.1),
+    python3-torch,
+    python3-tqdm (>= 4.36.1),
+    python3-xgboost (>= 0.90),
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://epistasislab.github.io/tpot/
 Vcs-Git: https://salsa.debian.org/science-team/tpot.git
 Vcs-Browser: https://salsa.debian.org/science-team/tpot
@@ -34,6 +36,7 @@
 Recommends:
     python3-dask,
     python3-distributed,
+    python3-torch,
 Description: Automated Machine Learning tool built on top of scikit-learn
  Consider TPOT your Data Science Assistant. TPOT is a Python Automated Machine
  Learning tool that optimizes machine learning pipelines using genetic

## tpot 0.11.7+dfsg

=== requirements.txt ===
deap>=1.2
nose==1.3.7
numpy>=1.16.3
scikit-learn>=0.22.0
imbalanced-learn>=0.7.0
scipy>=1.3.1
tqdm>=4.36.1
update-checker>=0.16
stopit>=1.1.2
pandas>=0.24.2
joblib>=0.13.2
xgboost>=1.1.0

=== debian/changelog ===
tpot (0.11.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
  * Add python3-imblearn to Build-Depends

 -- Christian Kastner <ckk@debian.org>  Tue, 12 Jan 2021 20:01:53 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
     python3-all,
     python3-deap (>= 1.2),
     python3-joblib (>= 0.13.2),
+    python3-imblearn (>= 0.7.0),
     python3-nose (>= 1.3.7) <!nocheck>,
     python3-numpy (>= 1.16.3),
     python3-pandas (>= 0.24.2),

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,11 @@
 	cp -r images docs/
 	sed -i -e 's,$(url_strip),,' docs/index.html
 
+override_dh_auto_install:
+	dh_auto_install
+	rm -f debian/python3-tpot/usr/lib/python3*/dist-packages/*.log
+	rm -f debian/python3-tpot/usr/lib/python3*/dist-packages/progress.txt
+
 override_dh_installdocs:
 	dh_installdocs --package=python-tpot-doc --doc-main-package=python3-tpot
 	dh_installdocs --remaining-packages

=== debian/tests/control ===
Tests: upstream-python3
# TPOT and sklearn each still produce a warning, which we are ignoring for now
Restrictions: allow-stderr
Depends: python3-tpot, python3-all, python3-nose

=== debian/watch ===
version=4

opts=\
filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/tpot-$1\.tar\.gz/,\
dversionmangle=s/\+dfsg\d*//,\
repacksuffix=+dfsg \
https://github.com/EpistasisLab/tpot/releases .*/v(\d\S*)\.tar\.gz
